Debian Bug report logs - #141888
[CODE REWRITE][Build-Dependency solver] pbuilder-satisfydepends: build-depends is not satisfied by Provides:

version graph

Package: pbuilder; Maintainer for pbuilder is Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>; Source for pbuilder is src:pbuilder.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Tue, 9 Apr 2002 01:18:01 UTC

Severity: normal

Merged with 166548

Found in version 0.34

Fixed in version 0.172

Done: Junichi Uekawa <dancer@netfort.gr.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit@bugs.debian.org
Subject: pbuilder-satisfydepends: build-depends is not satisfied by Provides:
Date: Tue, 9 Apr 2002 10:07:08 +0900
Package: pbuilder

satisfydepends ignores symbols given by Provides:

i.e. even if libpng2-dev is available, Build-Depends on libpng-dev will
pull in libpng-dev.

Packages depending on libpng-dev and libpng2-dev are somewhat broken,
but this situation could be handled more gracefully.



-- 
dancer@debian.org : Junichi Uekawa   http://www.netfort.gr.jp/~dancer
GPG Fingerprint : 17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Sander Smeenk <ssmeenk@debian.org>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 141888@bugs.debian.org (full text, mbox):

From: Sander Smeenk <ssmeenk@debian.org>
To: 141888@bugs.debian.org
Subject: Additional info
Date: Sat, 26 Oct 2002 20:57:32 +0200
Hi,

I'd like to add to this that there's also a problem with Build Depends
depending on other packages.

f.e. if MyProject1 depends on Package1 to build, I put Package1 in my
Build-Deps, and the builder should just install Package1 and all
Package1's dependencies...

Right now it fails with stating that Package1 depends on Package2 but it
is not going to be installed.

Regards,
Sander.

-- 
| I can roleplay, I can frag. I can PK while you lag!
| 1024D/08CEC94D - 34B3 3314 B146 E13C 70C8  9BDB D463 7E41 08CE C94D



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 141888@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Sander Smeenk <ssmeenk@debian.org>, 141888@bugs.debian.org
Subject: Re: Bug#141888: Additional info
Date: Sun, 27 Oct 2002 16:23:13 +0900
On Sat, 26 Oct 2002 20:57:32 +0200
Sander Smeenk <ssmeenk@debian.org> wrote:

> I'd like to add to this that there's also a problem with Build Depends
> depending on other packages.
> 
> f.e. if MyProject1 depends on Package1 to build, I put Package1 in my
> Build-Deps, and the builder should just install Package1 and all
> Package1's dependencies...

Hmm.. isn't that the problem in Package1 when it is not installable ?
Could you give a sample case ?


regards,
	junichi


-- 
dancer@debian.org  http://www.netfort.gr.jp/~dancer






Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Sander Smeenk <ssmeenk@debian.org>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 141888@bugs.debian.org (full text, mbox):

From: Sander Smeenk <ssmeenk@debian.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 141888@bugs.debian.org
Subject: Re: Bug#141888: Additional info
Date: Sun, 27 Oct 2002 11:43:36 +0100
Quoting Junichi Uekawa (dancer@netfort.gr.jp):
> > f.e. if MyProject1 depends on Package1 to build, I put Package1 in my
> > Build-Deps, and the builder should just install Package1 and all
> > Package1's dependencies...
> Hmm.. isn't that the problem in Package1 when it is not installable ?
> Could you give a sample case ?

I had this problem while trying to build the new upstream release of
gnomemeeting in pbuilder. I had put new (unreleased) versions of
libopenh323 and libpt on my own 'apt-mirror' where I put things i'm
testing with, I added my own 'apt-mirror' to OTHERMIRRORS in my
pbuilderrc and created a new base.tgz.

Although the new libopenh323 and libpt where on my own mirror, it
depends on libraw1394 and libspeex, which were at that time available 
at the 'normal' apt-mirrors.

I tried to build, it found my newer libopenh323 at my own 'apt-mirror'
but failed because libraw1394 and libspeex weren't going to be installed.

Afaik it shouldn't matter if I put newer versions on my own mirror that
depend on packages available at normal mirrors, or am I mistaken?

Kind Regards,
Sander.
-- 
| One nice thing about egotists: They don't talk about other people.
| 1024D/08CEC94D - 34B3 3314 B146 E13C 70C8  9BDB D463 7E41 08CE C94D



Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>, pbuilder@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 141888@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Sander Smeenk <ssmeenk@debian.org>
Cc: 141888@bugs.debian.org
Subject: Re: Bug#141888: Additional info
Date: Sun, 27 Oct 2002 20:04:25 +0900
On Sun, 27 Oct 2002 11:43:36 +0100
Sander Smeenk <ssmeenk@debian.org> wrote:
> Although the new libopenh323 and libpt where on my own mirror, it
> depends on libraw1394 and libspeex, which were at that time available 
> at the 'normal' apt-mirrors.
> 
> I tried to build, it found my newer libopenh323 at my own 'apt-mirror'
> but failed because libraw1394 and libspeex weren't going to be installed.

My wild guess is that that problem was caused by another problem that should be 
fixed in the recent versions (0.44).

Can you still reproduce ?

-- 
dancer@debian.org  http://www.netfort.gr.jp/~dancer






Merged 141888 166548. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #36 received at 141888@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 141888@bugs.debian.org
Subject: old bug...
Date: Sat, 01 Oct 2005 13:26:15 +0900
Hi,

I've been sitting on this bugreport for over 3 years, and I've not yet come around to doing this;
anyone actually working on a fix would be good.
I'm reluctant to add perl/python/whatever code to pbuilder, and would like a shell interface.
I've looked at apt-get build-dep and wondered if it can be extended to
install build-dep of a .dsc file, but that code itself is rather bulky and heuristic
and I'm not sure if it's a trivial thing to do.




<dancerj> Hmm... DoBuildDep seems rather long
<elmo_h> dancerj: python/perl apt can do that for you
 elmo elmo_h 
<elmo_h> or presumably some C{++,} glue using libapt
<elmo_h> (FWIW, etc.)
<dancerj> elmo_h: oh? that's nice to hear. I'm rather wishing to get pbuilder-satisfydepends fixed or replaced with something else; it works, but it's not quite correct all the time
<elmo_h> yes, katie (or jennifer, technically) runs apt_pkg.ParseSrcDepends on .dscs in incoming to sanity check them..
<dancerj> hmm.. 

29 Oct 2003.



regards,
	junichi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#141888; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 141888@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 141888@bugs.debian.org
Subject: Re: pbuilder-satisfydepends: build-depends is not satisfied by Provides:
Date: Sun, 22 Oct 2006 14:37:57 +0200
        Hi Junichi,

On Tue, Apr 09, 2002, Junichi Uekawa wrote:
> satisfydepends ignores symbols given by Provides

 I think the current logic of satisfydepends is to:
 try installing a build-dep
   if it succeeds, check for build-conflicts
   else (if it fails) check whether it would be Provided

 What about reversing the logic to look for Provides first?  I think
 this would address this particular bug.

 I agree it would be best to use some higher level language to transform
 build-deps in a list of packages + versions to install via APT, but
 this seems to be a longer lived problem to solve.

   Bye,
-- 
Loïc Minier <lool@dooz.org>



Reply sent to Junichi Uekawa <dancer@netfort.gr.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 141888-done@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 141888-done@bugs.debian.org
Subject: build-dependency solver is now different
Date: Thu, 30 Aug 2007 23:52:49 +0900
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 29 Aug 2007 08:42:19 +0900
Source: pbuilder
Binary: pbuilder pbuilder-uml
Architecture: source all amd64
Version: 0.172
Distribution: unstable
Urgency: low
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 pbuilder   - personal package builder for Debian packages
 pbuilder-uml - user-mode-linux version of pbuilder
Closes: 389884 437336 439285 439818
Changes: 
 pbuilder (0.172) unstable; urgency=low
 .
   [ Loic Minier ]
   * Fix a file name in pdebuild.1's man page which was being interpreted by
     man; thanks Roland Stigge; closes: #437336.
 .
   [ Junichi Uekawa ]
   * update lvmpbuilder, thanks to Kapil Hari Paranjape (closes: #389884)
   * rename pbuilder-satisfydepends to pbuilder-satisfydepends-classic, and
     install pbuilder-satisfydepends-aptitude as the deafault
     pbuilder-satisfydepends
   * install aptitude per default in chroot.
   * "pdebuild: [manual] Change pbuilder.8 to pbuilder(8)", thanks
     to Jari Aalto (Closes: #439818).
   * Bug fix: "pbuilder login does not create a login shell", thanks to Ben
     Hutchings (Closes: #439285).
Files: 
 084fab7e02254fe4792a259dacb7bedb 743 devel extra pbuilder_0.172.dsc
 fb8d1f0344e4bb4a9f647346ff684869 781709 devel extra pbuilder_0.172.tar.gz
 783f1576cdbeb3f24019927c19f7885f 172100 devel extra pbuilder_0.172_all.deb
 c3595237e6ca9219f43023bd14b97f4d 36004 devel extra pbuilder-uml_0.172_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG1Lej2Dd9TugeVcERAlVHAJ4wGdzNws3Oxg9eEKWhfhSI7ZNPtgCfYHn/
ha/Ki+teIq3Q4mC4tkDepTo=
=NaaW
-----END PGP SIGNATURE-----



Reply sent to Junichi Uekawa <dancer@netfort.gr.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian May <bam@snoopy.apana.org.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Oct 2007 07:28:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:45:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.